Bug 467644 - Review Request: sugar-memorize - Memorize for Sugar
Review Request: sugar-memorize - Memorize for Sugar
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon Schampijer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-10-19 18:02 EDT by Fabian Affolter
Modified: 2008-12-09 06:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 06:32:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
simon: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-10-19 18:02:13 EDT
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-memorize.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-memorize-28-1.fc10.src.rpm

Description:
The game memorize is about finding matching pairs. A pair can consist of any
multimedia object. At the moment these are images, sounds and text but this
could be extended to animations or movie snippets as well. Which pairs do 
match is up to the creator of the game. Memorize is actually more than just
a predefined game you can play, it allows you to create new games yourself
as well.

Koji scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=888662

[fab@localhost noarch]$ rpmlint -i sugar-memorize-28-1.fc10.noarch.rpm 
sugar-memorize.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@localhost SRPMS]$ rpmlint -i sugar-memorize-28-1.fc10.src.rpm 
sugar-memorize.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Simon Schampijer 2008-10-20 03:45:44 EDT
To play sounds memorize is dependent on csound. The fedora csound package does not contain the opcode to play ogg vorbis AFAIK http://koji.fedoraproject.org/koji/buildinfo?buildID=33799. OLPC is using a specialized csound package http://koji.fedoraproject.org/koji/packageinfo?packageID=6247 which contains this opcode. Not sure yet how best to go forward, have to examine in more detail.
Comment 2 Fabian Affolter 2008-11-13 07:08:03 EST
One way would probably be to integrate sugar-memorize with no sound in Fedora for now.  And fix this in the near future.   

There was a patch added to csound (named csound-5.03.0-add-oggplay.patch), maybe this solve the problem but I didn't investigate this further.
http://koji.fedoraproject.org/koji/rpminfo?rpmID=205447

The current version of csound is 5.09.  At the moment available for Fedora 5.07.
Comment 3 Simon Schampijer 2008-11-13 13:31:49 EST
Uploaded a new tarball - and fixed all the permission bits etc. so you can remove all of those :) http://dev.laptop.org/pub/sugar/sources/Memorize/Memorize-29.tar.bz2
Comment 4 Simon Schampijer 2008-11-13 13:48:56 EST
re: csound: I am ok with leaving the sound support out for now - but we should make sure we keep on working on that - would be nice to have - also we have to inspect sound support anyhow since we don't run pulseaudio on the XO. 

The patch you showed should work - i wrote that one - but it was added to the olpc-2 build only and we could make sure as well to update to the latest csound sources - as they contain the patch AFAIK.

r+ anyway - when removing the hacks i fixed in the sources.
Comment 6 Fabian Affolter 2008-11-18 19:50:15 EST
Simon, did you do a full review? I'm just asking because the flag is set to '+' but the bug is not assigned to you.
Comment 7 Simon Schampijer 2008-11-19 03:45:22 EST
Yup I did a full review. In the spec you posted above - the comment says that this is removed but it is still present :)

{{{
#delete hidden files
find %{buildroot} -name '.*' -exec rm -f {} ';'
#wrong end-line-encoding
#sed -i 's/\r//' %{buildroot}%{sugaractivitydir}Memorize.activity/images/stock-buddy.svg
#fix rpmlint non-executable-script error
#find %{buildroot}%{sugaractivitydir}Memorize.activity/*.py -type f | xargs chmod a+x
#find %{buildroot}%{sugaractivitydir}Memorize.activity/csound/csoundserver.py -type f | xargs chmod a+x
#remove exec bit
#find %{buildroot}%{sugaractivitydir}Memorize.activity/images/*.svg -type f -name \* -exec chmod 644 {} \;
}}}
Comment 8 Fabian Affolter 2008-11-20 03:30:13 EST
Like in the other review, I have to repost the spec file and the SRPM.
Comment 9 Fabian Affolter 2008-11-20 16:49:19 EST
again, 

Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-memorize.spec
SRPM URL:
http://fab.fedorapeople.org/packages/XO/sugar-memorize-29-1.fc10.src.rpm

Thanks for your patience
Comment 10 Simon Schampijer 2008-11-20 16:53:53 EST
You have uncommented the lines now - shouldn't we just remove them?
Comment 11 Simon Schampijer 2008-11-20 17:03:13 EST
Oh, maybe you wanted to keep it for the git checkout - i have fixed all the upstream sources - so we are save now. I guess it is time to request CVS branches now http://fedoraproject.org/wiki/CVSAdminProcedure :)
Comment 12 Fabian Affolter 2008-11-20 18:29:08 EST
Thanks Simon. I will remove the lines before cvs check-in.
Comment 13 Fabian Affolter 2008-11-20 18:30:12 EST
New Package CVS Request
=======================
Package Name:   sugar-memorize
Short Description:  Memorize for Sugar
Owners:  fab
Branches: F-10
InitialCC:
Comment 14 Kevin Fenzi 2008-11-22 23:28:52 EST
cvs done.
Comment 15 Marco Pesenti Gritti 2008-11-29 12:00:30 EST
Awesome, this is something we would like to have for Soas:

http://dev.sugarlabs.org/ticket/65
Comment 16 Fedora Update System 2008-11-30 08:44:18 EST
sugar-memorize-29-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-memorize-29-1.fc10
Comment 17 Fedora Update System 2008-12-02 20:20:42 EST
sugar-memorize-29-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-memorize'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10608
Comment 18 Fedora Update System 2008-12-09 06:32:18 EST
sugar-memorize-29-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.